﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Linq;
using System.Globalization;


namespace NDependActivities
{
    public class NDependReportContainer
    {
        public NDependReportInfo ReportInfo;
        public List<NDependCriticalRuleInfo> CriticalRules;

    }

    public class NDependReportInfo
    {
        public int NbSourceFiles { get; set; }
        public int NbLinesOfCode { get; set; }
        public int NbLinesOfComment { get; set; }
        public decimal PercentageComment { get; set; }
        public int NType { get; set; }
        public int NClass { get; set; }
        public long NILInstruction { get; set; }
        public int NNamespaces { get; set; }
        public decimal PercentCodeCoverage { get; set; }
        public decimal PercentPublicType { get; set; }
        public decimal PercentPublicMethod { get; set; }
        public int NbCqlQueries { get; set; }
        public int NbCqlQueriesWarnings { get; set; }
        public int NbCqlQueriesErrors { get; set; }
        public int NbCriticalRules { get; set; }
    }


    public class NDependCriticalRuleInfo
    {
        public string Name { get; set; }
    }

    public class NDependReportLink
    {
        public string Url { get; set; }
    }

}
